Subject: Re: I-D Action:draft-hui-6man-rpl-routing-header-00.txt

From: Vishwas Manral <[email-masked]>
Date: Mon, 31 May 2010 07:48:45 -0700

Hi Jonathan,

Thanks for pointing me to the other drafts.

Good to see you are heading the path that I once tried to. I have
added similar checks like Multicast and others to the headers.

Here are a few comments:

1. There is no check for any address appearing more than once. You can
use the algorithm as it appears in my draft for the same.
2. The other thing you need to consider is that you can still loop the
packet if we have multiple addresses on a device and the multiple
addresses the addresses are there. That is the reason we can check
that from segment N forward we do not have the address belonging to
the router in the Routing Header.

Thanks again,
Vishwas

On Sun, May 30, 2010 at 11:45 PM, Jonathan Hui <[email-masked]> wrote:
>
> Vishwas,
>
> FYI, we currently have two initial 6man drafts that describe mechanisms for
> supporting RPL.  The concrete concerns about the routing header seem to
> apply to the rpl-routing-header draft rather than the rpl-option draft.
>
> To answer your question, we did intend to address the well-known traffic
> amplification issue with the check you suggested.  Section 2 already has
> initial text specifying that an IPv6 address must not appear more than once
> in the routing header.  In the next version of the draft, we'll include an
> update to Section 3 that verifies the requirement when processing the
> header.
>
> Thanks.
>
> --
> Jonathan Hui
>
> On May 30, 2010, at 11:18 PM, Vishwas Manral wrote:
>
>> Hi Jonathan,
>>
>> I read your draft. As I have not read RPL I have to say the draft by
>> itself was not self contained so was a bit hard to figure out what can
>> be done in the RPL option.
>>
>> After finding the Traffic amplification issues, I had a draft
>> http://tools.ietf.org/html/draft-manral-ipv6-rh4-00 which had some
>> additional checks that could be required for any new RH header (we had
>> named it RH4 too).
>>
>> Though the scope is limited to LLN with RPL, I was wondering if the
>> issues known would not be an issue in such a network. If not so why?
>>
>> Thanks,
>> Vishwas
>
>